Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Rails on Termux
apt update && apt upgrade
apt install ruby vim git nodejs
apt install ruby-dev libxml2-dev libxslt-dev pkg-config make clang
gem install nokogiri -- --use-system-libraries
apt install libsqlite-dev
gem install sqlite3
apt install libffi-dev
gem install rb-inotify
gem install ffi
apt install openssh
sshd
packages install postgresql postgresql-contrib postgresql-dev
gem install pg
initdb -D ~/postgres/
# pg_ctl -D /data/data/com.termux/files/home/postgres/ -l logfile start
@KarinaBauer

This comment has been minimized.

Copy link

KarinaBauer commented Feb 10, 2019

Nice!

@azeemh

This comment has been minimized.

Copy link

azeemh commented Apr 28, 2019

Sweet

@muhymenulhaque

This comment has been minimized.

Copy link

muhymenulhaque commented Nov 14, 2019

The -dev packages dont work anymore and its said that only original ones are available. How about updating it according to current termux app.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.